### Method

# Gtk TreePathis_ancestor

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_tree_path_is_ancestor (
      GtkTreePath* path,
      GtkTreePath* descendant
    )

#### Description [src]

Returns `TRUE` if `descendant` is a descendant of `path`.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`descendant`

  Type: `GtkTreePath`

  Another `GtkTreePath`

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if `descendant` is contained inside `path`.